<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/LibcurlUtils/CurlEasyHandleWrapper.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CurlEasyHandleWrapper.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_curl_easy_handle_wrapper_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_LIBCURLUTILS_CURLEASYHANDLEWRAPPER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_LIBCURLUTILS_CURLEASYHANDLEWRAPPER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;curl/curl.h&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_log_entry_8h.html">AVSCommon/Utils/Logger/LogEntry.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_logger_utils_8h.html">AVSCommon/Utils/Logger/LoggerUtils.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#ifdef ACSDK_EMIT_SENSITIVE_LOGS</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define ACSDK_EMIT_CURL_LOGS</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_log_string_formatter_8h.html">AVSCommon/Utils/Logger/LogStringFormatter.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span>libcurlUtils {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html">   43</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html">CurlEasyHandleWrapper</a> {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ae2809e455ecb95686d32239554f85156">   53</a></span>&#160;    <span class="keyword">using</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ae2809e455ecb95686d32239554f85156">CurlCallback</a> = size_t (*)(<span class="keywordtype">char</span>* buffer, <span class="keywordtype">size_t</span> blockSize, <span class="keywordtype">size_t</span> numBlocks, <span class="keywordtype">void</span>* userData);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keyword">using</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a393d9d9a371f8d4f16f43e628e7f11c0">CurlDebugCallback</a> =</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a393d9d9a371f8d4f16f43e628e7f11c0">   65</a></span>&#160;        int (*)(CURL* handle, curl_infotype infoType, <span class="keywordtype">char</span>* buffer, <span class="keywordtype">size_t</span> blockSize, <span class="keywordtype">void</span>* userData);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55">   70</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55">TransferType</a> {</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55ae0bd139e3b8411576d1407e0600756d0">kGET</a>,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55a5596742061fc631cdf6bf2a6fa954df3">kPOST</a>,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55a78da24a91dff79c841b226c0d1641d3f">kPUT</a></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    };</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a1d900e2e2ce103ec6b5f3d7289ff6f9b">CurlEasyHandleWrapper</a>(std::string <span class="keywordtype">id</span> = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a127f38827a4c4befe4f60a3fc5dbeea0">~CurlEasyHandleWrapper</a>();</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#acd7a5620cab205fed83b29d51fcddef5">reset</a>(std::string <span class="keywordtype">id</span> = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    CURL* <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ab57976eddbdc9a43754d95179117b775">getCurlHandle</a>();</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2aa345bbddc974cf1cb11f3de90bb01d">isValid</a>();</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a3793fac9b88768e6c5923294f6db4488">getId</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="comment">     * Adds an HTTP Header to the current easy handle</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="comment">     * @param header The HTTP header to add</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="comment">     * @returns true if the addition was successful</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ad39e3db5b3495f88cbb6e9e86f910130">addHTTPHeader</a>(<span class="keyword">const</span> std::string&amp; header);</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="comment">     * Adds a POST Header to the list of the headers to add to the future POST request</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="comment">     *</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="comment">     * @param header The HTTP header to add</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="comment">     * @returns true if the addition was successful</span></div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a29f38d8cc80e03c239b835d22a1cb71a">addPostHeader</a>(<span class="keyword">const</span> std::string&amp; header);</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#aeeec32f86c5e6d8ca2dbab3dddc147de">setURL</a>(<span class="keyword">const</span> std::string&amp; url);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ac1839b40a10f4fdc6a4390a4128bdd7d">setTransferType</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55">TransferType</a> type);</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a420e150322172570bfaeab781d1f448c">setTransferTimeout</a>(<span class="keyword">const</span> <span class="keywordtype">long</span> timeoutSeconds);</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a735f18ab0feb8ce20e36e89514b032b0">setPostData</a>(<span class="keyword">const</span> std::string&amp; data);</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a516946926175a0059059a7984cb13892">setConnectionTimeout</a>(<span class="keyword">const</span> std::chrono::seconds timeoutSeconds);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a7d7eff9cf78812e7c30704791a79bbe9">setWriteCallback</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ae2809e455ecb95686d32239554f85156">CurlCallback</a> callback, <span class="keywordtype">void</span>* userData);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ac3198245e24508f7c49193daeb55d3e0">setHeaderCallback</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ae2809e455ecb95686d32239554f85156">CurlCallback</a> callback, <span class="keywordtype">void</span>* userData);</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a5d1472e6333afa532745ea04fab92288">setReadCallback</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ae2809e455ecb95686d32239554f85156">CurlCallback</a> callback, <span class="keywordtype">void</span>* userData);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <span class="keyword">template</span> &lt;<span class="keyword">typename</span> ParamType&gt;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2e4cf1e3721b6a18bb417219b64d3d10">setopt</a>(CURLoption option, ParamType param);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a9534b190e6c4e0966c9f15dbaeddca11">urlEncode</a>(<span class="keyword">const</span> std::string&amp; in) <span class="keyword">const</span>;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    <span class="keywordtype">long</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a515d966a699b914147c84cbcb4f5cb50">getHTTPResponseCode</a>();</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    CURLcode <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a0cf6f335a77e6f51e4e94353ba6005a0">perform</a>();</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    CURLcode <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a70d24d4c4d1a084168268b8e5b04a28e">pause</a>(<span class="keywordtype">int</span> mask);</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    <span class="keywordtype">void</span> cleanupResources();</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;    <span class="keywordtype">bool</span> setDefaultOptions();</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;<span class="preprocessor">#ifdef ACSDK_EMIT_CURL_LOGS</span></div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    <span class="keywordtype">void</span> initStreamLog();</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">int</span> debugFunction(CURL* handle, curl_infotype type, <span class="keywordtype">char</span>* data, <span class="keywordtype">size_t</span> size, <span class="keywordtype">void</span>* user);</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    std::unique_ptr&lt;std::ofstream&gt; m_streamLog;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    std::unique_ptr&lt;std::ofstream&gt; m_streamInDump;</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;    std::unique_ptr&lt;std::ofstream&gt; m_streamOutDump;</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_string_formatter.html">avsCommon::utils::logger::LogStringFormatter</a> m_logFormatter;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;    CURL* m_handle;</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;    curl_slist* m_requestHeaders;</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;    curl_slist* m_postHeaders;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;    curl_httppost* m_post;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;    curl_httppost* m_lastPost;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;    std::string m_id;</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    <span class="keyword">static</span> std::atomic&lt;uint64_t&gt; m_idGenerator;</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;};</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> ParamType&gt;</div><div class="line"><a name="l00321"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2e4cf1e3721b6a18bb417219b64d3d10">  321</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2e4cf1e3721b6a18bb417219b64d3d10">CurlEasyHandleWrapper::setopt</a>(CURLoption option, ParamType value) {</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;    <span class="keyword">auto</span> result = curl_easy_setopt(m_handle, option, value);</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;    <span class="keywordflow">if</span> (result != CURLE_OK) {</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a2a506c9c75542fad6d29643e3e3cf55d">logger::acsdkError</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">logger::LogEntry</a>(<span class="stringliteral">&quot;CurlEasyHandleWrapper&quot;</span>, <span class="stringliteral">&quot;setoptFailed&quot;</span>)</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;                               .d(<span class="stringliteral">&quot;reason&quot;</span>, <span class="stringliteral">&quot;curl_easy_setopt failed&quot;</span>)</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;                               .d(<span class="stringliteral">&quot;option&quot;</span>, option)</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;                               .sensitive(<span class="stringliteral">&quot;value&quot;</span>, value)</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;                               .d(<span class="stringliteral">&quot;result&quot;</span>, result)</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;                               .d(<span class="stringliteral">&quot;error&quot;</span>, curl_easy_strerror(result)));</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;    }</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;}</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;</div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;}  <span class="comment">// namespace libcurlUtils</span></div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_LIBCURLUTILS_CURLEASYHANDLEWRAPPER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a735f18ab0feb8ce20e36e89514b032b0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a735f18ab0feb8ce20e36e89514b032b0">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setPostData</a></div><div class="ttdeci">bool setPostData(const std::string &amp;data)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:253</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper</a></div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.h:43</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_af99f8694e53fbfa4fd3e291f53f7ef55ae0bd139e3b8411576d1407e0600756d0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55ae0bd139e3b8411576d1407e0600756d0">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::TransferType::kGET</a></div><div class="ttdoc">HTTP GET. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a515d966a699b914147c84cbcb4f5cb50"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a515d966a699b914147c84cbcb4f5cb50">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::getHTTPResponseCode</a></div><div class="ttdeci">long getHTTPResponseCode()</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:342</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_af99f8694e53fbfa4fd3e291f53f7ef55a5596742061fc631cdf6bf2a6fa954df3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55a5596742061fc631cdf6bf2a6fa954df3">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::TransferType::kPOST</a></div><div class="ttdoc">HTTP POST. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a5d1472e6333afa532745ea04fab92288"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a5d1472e6333afa532745ea04fab92288">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setReadCallback</a></div><div class="ttdeci">bool setReadCallback(CurlCallback callback, void *userData)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:269</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a9534b190e6c4e0966c9f15dbaeddca11"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a9534b190e6c4e0966c9f15dbaeddca11">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::urlEncode</a></div><div class="ttdeci">std::string urlEncode(const std::string &amp;in) const</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:273</div></div>
<div class="ttc" id="_logger_utils_8h_html"><div class="ttname"><a href="_logger_utils_8h.html">LoggerUtils.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a29f38d8cc80e03c239b835d22a1cb71a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a29f38d8cc80e03c239b835d22a1cb71a">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::addPostHeader</a></div><div class="ttdeci">bool addPostHeader(const std::string &amp;header)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:219</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a516946926175a0059059a7984cb13892"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a516946926175a0059059a7984cb13892">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setConnectionTimeout</a></div><div class="ttdeci">bool setConnectionTimeout(const std::chrono::seconds timeoutSeconds)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:257</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a127f38827a4c4befe4f60a3fc5dbeea0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a127f38827a4c4befe4f60a3fc5dbeea0">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::~CurlEasyHandleWrapper</a></div><div class="ttdeci">~CurlEasyHandleWrapper()</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:144</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a2aa345bbddc974cf1cb11f3de90bb01d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2aa345bbddc974cf1cb11f3de90bb01d">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::isValid</a></div><div class="ttdeci">bool isValid()</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:197</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a0cf6f335a77e6f51e4e94353ba6005a0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a0cf6f335a77e6f51e4e94353ba6005a0">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::perform</a></div><div class="ttdeci">CURLcode perform()</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:357</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a2e4cf1e3721b6a18bb417219b64d3d10"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2e4cf1e3721b6a18bb417219b64d3d10">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setopt</a></div><div class="ttdeci">bool setopt(CURLoption option, ParamType param)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.h:321</div></div>
<div class="ttc" id="_log_entry_8h_html"><div class="ttname"><a href="_log_entry_8h.html">LogEntry.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a3793fac9b88768e6c5923294f6db4488"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a3793fac9b88768e6c5923294f6db4488">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::getId</a></div><div class="ttdeci">std::string getId() const</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:201</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a70d24d4c4d1a084168268b8e5b04a28e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a70d24d4c4d1a084168268b8e5b04a28e">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::pause</a></div><div class="ttdeci">CURLcode pause(int mask)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:366</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_ad39e3db5b3495f88cbb6e9e86f910130"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ad39e3db5b3495f88cbb6e9e86f910130">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::addHTTPHeader</a></div><div class="ttdeci">bool addHTTPHeader(const std::string &amp;header)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:209</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_acd7a5620cab205fed83b29d51fcddef5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#acd7a5620cab205fed83b29d51fcddef5">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::reset</a></div><div class="ttdeci">bool reset(std::string id=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:151</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_af99f8694e53fbfa4fd3e291f53f7ef55a78da24a91dff79c841b226c0d1641d3f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55a78da24a91dff79c841b226c0d1641d3f">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::TransferType::kPUT</a></div><div class="ttdoc">HTTP PUT. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_ae2809e455ecb95686d32239554f85156"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ae2809e455ecb95686d32239554f85156">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::CurlCallback</a></div><div class="ttdeci">size_t(*)(char *buffer, size_t blockSize, size_t numBlocks, void *userData) CurlCallback</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.h:53</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_ab57976eddbdc9a43754d95179117b775"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ab57976eddbdc9a43754d95179117b775">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::getCurlHandle</a></div><div class="ttdeci">CURL * getCurlHandle()</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:205</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a2a506c9c75542fad6d29643e3e3cf55d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a2a506c9c75542fad6d29643e3e3cf55d">alexaClientSDK::avsCommon::utils::logger::acsdkError</a></div><div class="ttdeci">void acsdkError(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:80</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a420e150322172570bfaeab781d1f448c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a420e150322172570bfaeab781d1f448c">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setTransferTimeout</a></div><div class="ttdeci">bool setTransferTimeout(const long timeoutSeconds)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:249</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_af99f8694e53fbfa4fd3e291f53f7ef55"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::TransferType</a></div><div class="ttdeci">TransferType</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.h:70</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_aeeec32f86c5e6d8ca2dbab3dddc147de"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#aeeec32f86c5e6d8ca2dbab3dddc147de">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setURL</a></div><div class="ttdeci">bool setURL(const std::string &amp;url)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:229</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_ac1839b40a10f4fdc6a4390a4128bdd7d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ac1839b40a10f4fdc6a4390a4128bdd7d">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setTransferType</a></div><div class="ttdeci">bool setTransferType(TransferType type)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:233</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_ac3198245e24508f7c49193daeb55d3e0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#ac3198245e24508f7c49193daeb55d3e0">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setHeaderCallback</a></div><div class="ttdeci">bool setHeaderCallback(CurlCallback callback, void *userData)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:265</div></div>
<div class="ttc" id="_log_string_formatter_8h_html"><div class="ttname"><a href="_log_string_formatter_8h.html">LogStringFormatter.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a393d9d9a371f8d4f16f43e628e7f11c0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a393d9d9a371f8d4f16f43e628e7f11c0">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::CurlDebugCallback</a></div><div class="ttdeci">int(*)(CURL *handle, curl_infotype infoType, char *buffer, size_t blockSize, void *userData) CurlDebugCallback</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.h:65</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a7d7eff9cf78812e7c30704791a79bbe9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a7d7eff9cf78812e7c30704791a79bbe9">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::setWriteCallback</a></div><div class="ttdeci">bool setWriteCallback(CurlCallback callback, void *userData)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:261</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper_html_a1d900e2e2ce103ec6b5f3d7289ff6f9b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a1d900e2e2ce103ec6b5f3d7289ff6f9b">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::CurlEasyHandleWrapper</a></div><div class="ttdeci">CurlEasyHandleWrapper(std::string id=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> CurlEasyHandleWrapper.cpp:126</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a></div><div class="ttdoc">LogEntry is used to compile the log entry text to log via Logger. </div><div class="ttdef"><b>Definition:</b> LogEntry.h:30</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_string_formatter_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_string_formatter.html">alexaClientSDK::avsCommon::utils::logger::LogStringFormatter</a></div><div class="ttdef"><b>Definition:</b> LogStringFormatter.h:32</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
